<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.gudanggaramtbk.amscanner"
    android:versionName="1.0.1">

    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.FLASHLIGHT" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_SYNC_SETTINGS"/>
    <uses-permission android:name="android.permission.INSTALL_PACKAGES"/>

    <application
        android:allowBackup="true"
        android:icon="@mipmap/x_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">
        <activity
            android:name=".MainActivity"
            android:label="@string/app_name"
            android:theme="@style/AppTheme.NoActionBar">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <!-- SettingActivity back to MainActivity -->
        <activity
            android:name=".SettingActivity"
            android:label="Setting"
            android:parentActivityName=".MainActivity"></activity>
        <!-- AboutActivity back to MainActivity -->
        <activity
            android:name=".AboutActivity"
            android:label="About"
            android:parentActivityName=".MainActivity"></activity>
        <!-- Scan back to MainActivity -->
        <activity
            android:name=".ScanAttribute"
            android:label="Scan Attribute"
            android:parentActivityName=".MainActivity"></activity>
        <activity
            android:name=".ScanAssetActivity"
            android:label="Scan Asset Code"
            android:parentActivityName=".ScanAttribute"></activity>
        <activity
            android:name=".CaptureCustomeActivity"
            android:screenOrientation="portrait"
            android:stateNotNeeded="true"
            android:theme="@style/zxing_CaptureTheme"
            android:windowSoftInputMode="stateAlwaysHidden" />
    </application>

</manifest>